BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Enhancement #17215
[BCR1093][Android][Device Binding - Login] Remove requestOtp ws and call new WS for validate

OTP during Login
16 August 2023 09:37 PM - Nor Khairun Agila Jesmen

Status: Closed Start date: 16 August 2023
Priority: Normal Due date:

Assignee: wanansari wanansari % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Update flow:

1. after the customer enter mobile password / hardware token and click login, FE just call loginTokenConfirm /

loginMobilePasswordConfirm / verifyldentityWithMobilePasswordConfirm

2. if deviceLevel = PRIMARY_NEW with success status, FE direct display OTP screen no call requestOtp.

BE will request OTP directly themselves and no proceed bind yet

3. after customer input OTP and click Next for login, then FE call BE new WS for validate OTP and bind - deviceBindingPrimary ws.

BE will validate OTP and bind the customer

***for other devicelevel, flow remain as it is

History

#1 - 17 August 2023 10:14 AM - Abdul Halim Baharom

- Status changed from New to In Progress

#2 - 21 August 2023 07:16 PM - Abdul Halim Baharom
- Status changed from In Progress to Resolved
- Assignee changed from Abdul Halim Baharom to Nor Khairun Aqgila Jesmen

- % Done changed from 0 to 100

#3 - 04 September 2023 03:04 PM - Nor Khairun Agila Jesmen

- Status changed from Resolved to Closed

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

tested good
